import { InputType } from '../types/TarInput';

/**
 * Returns a value indicating whether or not the specified type is a date-time input type.
 * @param type The input type to check.
 * @returns True if the type is a date-time input type, or false otherwise.
 */
export declare function isDateTimeInput(type?: InputType): boolean;
/**
 * Returns a value indicating whether or not the specified type is a numeric input type.
 * @param type The input type to check.
 * @returns True if the type is a numeric input type, or false otherwise.
 */
export declare function isNumericInput(type?: InputType): boolean;
/**
 * Returns a value indicating whether or not the specified type is a textual input type.
 * @param type The input type to check.
 * @returns True if the type is a textual input type, or false otherwise.
 */
export declare function isTextualInput(type?: InputType): boolean;
